Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
Class PropertyExpression

Represents a property access such as the expression "foo.bar".

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`boolean` | `implicitThis`
`boolean` | `isStatic`
`Expression` | `objectExpression`
`Expression` | `property`
`boolean` | `safe`
`boolean` | `spreadSafe`

Constructor Summary
`PropertyExpression(Expression objectExpression, String property)`
`PropertyExpression(Expression objectExpression, Expression property)`
`PropertyExpression(Expression objectExpression, Expression property, boolean safe)`

Method Summary
`Expression` | `getObjectExpression()`
`Expression` | `getProperty()`
`String` | `getPropertyAsString()`
`String` | `getText()`
`boolean` | `isDynamic()`
`boolean` | `isImplicitThis()`
`boolean` | `isSafe()` then this navigation will return null
`boolean` | `isSpreadSafe()`
`boolean` | `isStatic()`
`void` | `setImplicitThis(boolean it)`
`void` | `setObjectExpression(Expression exp)`
`void` | `setSpreadSafe(boolean value)`
`void` | `setStatic(boolean aStatic)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### PropertyExpression

    public PropertyExpression(Expression objectExpression, String property)

### PropertyExpression

    public PropertyExpression(Expression objectExpression, Expression property)

### PropertyExpression

    public PropertyExpression(Expression objectExpression, Expression property, boolean safe)

Method Detail

### getObjectExpression

    public Expression getObjectExpression()

### getProperty

    public Expression getProperty()

### getPropertyAsString

    public String getPropertyAsString()

### getText

    public String getText()

### isDynamic

    public boolean isDynamic()

### isImplicitThis

    public boolean isImplicitThis()

### isSafe

    public boolean isSafe()

  return:
    is this a safe navigation, i.e. if true then if the source object is null
  then this navigation will return null

### isSpreadSafe

    public boolean isSpreadSafe()

### isStatic

    public boolean isStatic()

### setImplicitThis

    public void setImplicitThis(boolean it)

### setObjectExpression

    public void setObjectExpression(Expression exp)

### setSpreadSafe

    public void setSpreadSafe(boolean value)

### setStatic

    public void setStatic(boolean aStatic)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)